I need help adding mysql libraries

Problems with the Linux version of XAMPP, questions, comments, and anything related.

I need help adding mysql libraries

Postby Gollum » 11. December 2003 22:21

I am trying to install a jabber server on our Linux box using RedHat 9.0. Since discovering your great package, we now make it standard to use on all our Linux servers. The problem is that the software (jabberd 2) requires the mysql libraries and headers. How might I add these to XAMPP so that I can point the configure file to see them? I tried to find them in the directories, but couldn't.

Thanks for any help you could give. I know this doesn't neccesarily have to do with XAMPP, but I want to keep using it! It's great, easy, friendly... well I'm sure you already know!
Gollum
 
Posts: 6
Joined: 07. November 2003 19:47

Postby Kristian Marcroft » 12. December 2003 07:19

Hi,

all you have to do is install the mySQL-dev libs from your distribution.
These are not included in XAMPP.
Maybe you could try the XAMPP-Dev Pack?

So long
KriS
User avatar
Kristian Marcroft
AF Moderator
 
Posts: 2962
Joined: 03. January 2003 12:08
Location: Diedorf

Postby Oswald » 12. December 2003 11:13

Yes, the XAMPP development package contains everything you need!

Good luck
Oswald
User avatar
Oswald
Apache Friends
 
Posts: 2718
Joined: 26. December 2002 19:51
Location: Berlin, Germany
Operating System: Linux

Postby njiggs » 28. October 2005 10:17

i tried installing jabberd2....after installing xampp-linux-devel package... i symlinked /opt/lampp/includes/mysql to /usr/include/ (or is it supposed to be said the other way round?)....while trying to run ./configure, i get this error...

Code: Select all
checking mysql.h usability... no
checking mysql.h presence... no
checking for mysql.h... no
checking for mysql.h in /usr/include/mysql... yes
checking for mysql_init in -lmysqlclient... no
configure: error: MySQL client libraries not found


i cant exactly decipher what it means..but doesnt the devel package have all the required stuff? should i be symlinking something more? i tried searching for mysql_init,mysqlclient,lmysqlclient in /opt but no results turned up...

thanks for any help!!
njiggs
 
Posts: 18
Joined: 20. July 2005 05:47

Postby njiggs » 02. November 2005 13:13

sorry for bumping but i am sure someone out there has successfully installed jabber using xampp...how to overcome the above error?

thanks again!!
njiggs
 
Posts: 18
Joined: 20. July 2005 05:47

Postby azidtripz » 27. May 2007 04:45

Oswald wrote:Yes, the XAMPP development package contains everything you need!

Good luck
Oswald

Hello Oswald
i am running slackware 11, i have installed xampp 1.6.1 plus the development package, and when trying to install verlihub when running ./configure i get the following...
Code: Select all
checking whether the g77 linker (/usr/i486-slackware-linux/bin/ld) supports shared libraries... yes
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking for mysql-devel... no
configure: error: "install mysql-devel or somewhere it's called mysql-dev"
azidtripz
 
Posts: 1
Joined: 27. May 2007 04:38

Postby burek » 10. July 2007 19:38

configure: error: "install mysql-devel or somewhere it's called mysql-dev"



just add

/usr/local/mysql/bin

to your $PATH, like:

Code: Select all
> export PATH=$PATH:/usr/local/mysql/bin


and then again run ./configure
(the problem was configure was unable to find mysql_config script, which is located in /usr/local/mysql/bin)
burek
 
Posts: 1
Joined: 10. July 2007 19:34


Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 2 guests